Bulk Attach Tags to Disputes
curl --request POST \
--url https://api.staging.payrails.io/dispute/disputes/tags-bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"disputeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.staging.payrails.io/dispute/disputes/tags-bulk"
payload = {
"disputeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
disputeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.staging.payrails.io/dispute/disputes/tags-bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processed": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"failed": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorMessage": "<string>"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "07a1d642-dbf5-47d3-8563-700514b38e46",
"code": "request.header.missing",
"detail": "The request is missing a required header",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestheadermissing"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Bulk Attach Tags to Disputes
Attaches the same set of tags to multiple disputes in a single operation. For single-select tag types, attaching replaces any existing tag of that type on each dispute. For multi-select tag types, tags are added idempotently. Fails fast if any dispute ID or tag ID is invalid.
POST
https://api.staging.payrails.io
/
dispute
/
disputes
/
tags-bulk
Bulk Attach Tags to Disputes
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Body
application/json
Response
Tags attached successfully. Check failed for any disputes that could not be processed.
Last modified on October 1, 2026